Zum Inhalt

Get itemAttributeValueMapping

Retrieve the properties and relationships of a ttem attribute value mapping object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/ItemAttributeValueMappingsWebCon({id})

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a itemAttributeValueMapping object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/ItemAttributeValueMappingsWebCon({id})

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "value": [
        {            
            "id": "04bdb026-0e30-ee11-bdfc-6045bde98c16",
            "itemAttributeID": 1,
            "itemAttributeValueID": 8,
            "name": "Farbe",
            "value": "Schwarz",
            "unitOfMeasure": ""
        },
        {            
            "id": "05bdb026-0e30-ee11-bdfc-6045bde98c16",
            "itemAttributeID": 2,
            "itemAttributeValueID": 12,
            "name": "Tiefe",
            "value": "100",
            "unitOfMeasure": "cm"
        }
}

See also

Tips for working with the APIs
ItemAttributeValueMapping